import React from 'react'
import EchartsFunnelChartChart from '../origin/echarts/FunnelChart'
import { origin } from '../util/config'

interface IProps {
  mode: string
  options: object
}

class Index extends React.Component<IProps, any> {

  render() {
    const { mode, options } = this.props
    return (
      <div>
        {mode === origin.Echarts && <EchartsFunnelChartChart options={options} />}
      </div>
    )
  }
}

export default Index
