/**
 * 极坐标系角度轴
 * @param {Array} data
 * @param {Array} cols
 * @return {Object}
 */

import { colsValue } from './util'

interface IangleAxisOption {
  data: any[]
  cols: any[]
}

const getAngleAxisOption = (angleAxisOption: IangleAxisOption) => {
  const {
    data,
    cols,
  } = angleAxisOption

  return {
    type: 'category',
    data: colsValue(data, cols),
    z: 10,
  }
}

export default getAngleAxisOption
