/**
 * tooltip option
 * @param {String} 'shadow' | 'cross'
 * @return {Object}
 */
const getTooltipOption = (type: string) => {
  return {
    show: true,
    trigger: type === 'item' ? 'item' : 'axis',
    axisPointer: {
      type,
    },
  }
}

export default getTooltipOption
